%
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Codigo complementar do livro "Equacoes Diferenciais Ordinarias"  <><>
%<><> dos professores Marcelo Viana e Jose Espinar                     <><>
%<><>                                                                  <><>
%<><> Codigo escrito por Guilherme Tegoni Goedert                      <><>
%<><> https://git.impa.br/ggoedert/EDO/tree/master                     <><>
%<><> v 1.0 - 25/09/2016                                               <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
%<><> Capitulo 6                                                       <><>
%<><> Experimento: Instabilidade Aerodinamica                          <><>
%<><> Objetivos 2                                                      <><>
%<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

% Parametros do modelo linearizado para Flutter
m = 1;
l = 1;
Kh = 1;
Ka = 1;
c = 1;

v = 0:0.00001:10;

% Alocando vetores para guardar valores de lambda(v)
N = length(v);
Lambda1 = zeros(N,2);
Lambda2 = zeros(N,2);
Lambda3 = zeros(N,2);
Lambda4 = zeros(N,2);

% Variando v e resolvendo lambda
for i = 1:N
    
    [lambda1, lambda2, lambda3, lambda4] = Lambda(m,l,c,Kh,Ka,v(i));
    
    Lambda1(i,1) = real(lambda1); Lambda1(i,2) = imag(lambda1);
    Lambda2(i,1) = real(lambda2); Lambda2(i,2) = imag(lambda2);
    Lambda3(i,1) = real(lambda3); Lambda3(i,2) = imag(lambda3);
    Lambda4(i,1) = real(lambda4); Lambda4(i,2) = imag(lambda4);
    
end

% Representacao grafica dos resultados
figure; hold on
plot(Lambda1(:,1),Lambda1(:,2))
plot(Lambda2(:,1),Lambda2(:,2))
plot(Lambda3(:,1),Lambda3(:,2))
plot(Lambda4(:,1),Lambda4(:,2))
grid on
legend({'$\lambda_1$','$\lambda_2$','$\lambda_3$','$\lambda_4$'},'interpreter','latex','location','best')